<div class="input-code">
  <div class="input-code__header">
    <p class="title">{{ label }}</p>
  </div>
  <div class="input-code__container">
    <div
      class="input-code"
      *ngFor="let item of inputs; let i = index"
      [ngClass]="{ filled: values[i], disabled: isDisabled }"
    >
      <mo-input
        #inputsEl
        [maxlength]="1"
        [value]="values[i]"
        [type]="INPUT_TYPE.NUMBER"
        [disabled]="isDisabled"
        (Input)="onInput($event, i)"
        (Keydown)="onKeydown($event, i)"
      ></mo-input>
    </div>
  </div>
  <div class="input-code__resend">
    <p class="timer">{{ time }}</p>
    <p
      (click)="onResendCode()"
      class="resend-text"
      [ngClass]="{ 'resend-text--disabled': isDisabledResendCode }"
    >
      {{ reSendCodeText }}
    </p>
  </div>
</div>
